deployments memory
Memory import, export, review, and retrieval
| Command | Summary |
|---|---|
deployments memory import | Import governed memory |
deployments memory export | Export governed memory |
deployments memory list | List governed memory |
deployments memory search | Search approved memory |
deployments memory active-recall | Recall memory for an active run |
deployments memory strategy-search | Search memory with an evidence retrieval strategy |
deployments memory namespace-readiness | Inspect memory search namespace readiness |
deployments memory namespace-prepare | Prepare the memory search full-text index |
deployments memory quality | Inspect memory retrieval quality |
deployments memory archive | Archive memory |
deployments memory restore | Restore memory |
deployments memory delete | Delete memory |
deployments memory flush | Queue post-run memory extraction |
deployments memory flush-status | Show post-run memory extraction status |
deployments memory import
Import governed memory.
deployments memory import --space <space>- Calls
POST /v1/memory/imports(SDKimportMemories). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely. - Output contains secrets. They are redacted unless you pass
--reveal.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--space | string | yes | Memory space ID | |
--file | string | Local JSON or NDJSON import file | ||
--data | string (json) | Inline memory records |
Also accepts the global flags.
deployments memory export
Export governed memory.
deployments memory export --space <space>- Calls
POST /v1/memory/exports(SDKexportMemories). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely. - Output contains secrets. They are redacted unless you pass
--reveal. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size | ||
--space | string | yes | Memory space ID | |
--format | string | Export format (json) |
Also accepts the global flags.
deployments memory list
List governed memory.
deployments memory list- Calls
GET /v1/memory(SDKlistMemories). - Needs an environment:
--envor the saved context. - Output contains secrets. They are redacted unless you pass
--reveal. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size | ||
--space | string | Memory space ID | ||
--status | string | active, archived, or deleted |
Also accepts the global flags.
deployments memory search
Search approved memory.
deployments memory search --query <query> --space <space>- Calls
POST /v1/memory/search(SDKsearchMemories). - Needs an environment:
--envor the saved context. - Output contains secrets. They are redacted unless you pass
--reveal.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--query | string | yes | Search query | |
--space | string | yes | Memory space ID | |
--search-keys | string (a,b,c) | Search keys | ||
--top-k | string (number) | Maximum results |
Also accepts the global flags.
deployments memory active-recall
Recall memory for an active run.
deployments memory active-recall --query <query> --run-id <run-id>- Calls
POST /v1/memory/active-recall(SDKactiveMemoryRecall). - Needs an environment:
--envor the saved context. - Output contains secrets. They are redacted unless you pass
--reveal.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--query | string | yes | Recall query | |
--run-id | string | yes | Active run ID | |
--top-k | string (number) | Maximum results |
Also accepts the global flags.
deployments memory strategy-search
Search memory with an evidence retrieval strategy.
deployments memory strategy-search --query <query> --space <space> --strategy <strategy>- Calls
POST /v1/memory/evidence/strategy-search(SDKstrategySearchMemories). - Needs an environment:
--envor the saved context. - Output contains secrets. They are redacted unless you pass
--reveal.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--query | string | yes | Search query | |
--space | string | yes | Memory space ID | |
--strategy | string | yes | dense-open-search-ann-control-v1, dense-exact-control-v1, hybrid-rerank-v1, or hybrid-rrf-v1 | |
--search-keys | string (a,b,c) | Search keys | ||
--top-k | string (number) | Maximum results |
Also accepts the global flags.
deployments memory namespace-readiness
Inspect memory search namespace readiness.
deployments memory namespace-readiness- Calls
GET /v1/memory/namespaces/readiness(SDKgetMemoryNamespaceReadiness). - Needs an environment:
--envor the saved context.
Also accepts the global flags.
deployments memory namespace-prepare
Prepare the memory search full-text index.
deployments memory namespace-prepare- Calls
POST /v1/memory/namespaces/prepare-full-text(SDKprepareMemoryNamespaceFullText). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
Also accepts the global flags.
deployments memory quality
Inspect memory retrieval quality.
deployments memory quality- Calls
GET /v1/memory/quality(SDKgetMemoryQuality). - Needs an environment:
--envor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--limit | string (number) | Maximum telemetry samples | ||
--since | string | Start timestamp |
Also accepts the global flags.
deployments memory archive
Archive memory.
deployments memory archive <id>- Calls
POST /v1/memory/{memoryId}/archive(SDKarchiveMemory). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely. - Output contains secrets. They are redacted unless you pass
--reveal.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID |
Also accepts the global flags.
deployments memory restore
Restore memory.
deployments memory restore <id>- Calls
POST /v1/memory/{memoryId}/restore(SDKrestoreMemory). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely. - Output contains secrets. They are redacted unless you pass
--reveal.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID |
Also accepts the global flags.
deployments memory delete
Delete memory.
deployments memory delete <id>- Calls
POST /v1/memory/{memoryId}/delete(SDKdeleteMemory). - Needs an environment:
--envor the saved context. - Destructive. Live runs ask for confirmation; pass
--yesin scripts or with--json. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely. - Output contains secrets. They are redacted unless you pass
--reveal.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--reason | string | Reason for this operation |
Also accepts the global flags.
deployments memory flush
Queue post-run memory extraction.
deployments memory flush --run-id <run-id>- Calls
POST /v1/memory/flushes(SDKenqueueMemoryFlush). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--run-id | string | yes | Completed run ID | |
--memory-space-id | string | Memory space ID | ||
--memory-mode | string | Maximum memory scope |
Also accepts the global flags.
deployments memory flush-status
Show post-run memory extraction status.
deployments memory flush-status --run-id <run-id>- Calls
GET /v1/memory/flushes/{runId}(SDKgetMemoryFlush). - Needs an environment:
--envor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--run-id | string | yes | Completed run ID |
Also accepts the global flags.